//
//  ArticleAnnotation.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 08/07/02.
//  Copyright 2008-2009 Toshihiro Aoyama. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

@interface ArticleAnnotation : NSObject {
// id
	unsigned _annotationId;
// page
	unsigned _page;
// bounds
	float _x;
	float _y;
	float _width;
	float _height;
// color
	float _red;   // 0.0 - 1.0
	float _green; 
	float _blue;
	float _alpha;
// date
	NSDate* _modificationDate;
// contents
	NSString* _note; // contents is the concatenation of _note, contributor and modificationData
// type
	NSString* _type;

// 	contributor
	NSString* _contributor;
// title
	NSString* _title;
	
// flag
	NSString* _flag;
	
// upload server?
	BOOL _upload;

// view remote annotation?
	BOOL _viewRemoteAnnotation;
		
	PDFAnnotation* _annotation;
}
- (NSString*)description;
- (unsigned)page;
- (NSRect)bounds;
- (NSColor*)color;
- (NSString*)contents;
- (NSString*)note;
- (NSString*)type;
- (NSString*)contributor;
- (NSDate*)modificationDate;
- (NSString*)flag;
- (PDFAnnotation*)annotation;
- (NSString*)title;
- (BOOL)upload;
- (float)red; 
- (float)green;
- (float)blue;
- (float)alpha;
- (float)x;
- (float)y;
- (float)width;
- (float)height;
- (unsigned)annotationId;
- (void)setBounds:(NSRect)r;
- (void)setPage:(unsigned) p;
- (void)setColor:(NSColor*)c;
- (void)setNote : (NSString*) n;
- (void)setType : (NSString*) t;
- (void)setContributor : (NSString*) c;
- (void)setModificationDate:(NSDate*)d;
- (void)setFlag:(NSString*)f;
- (void)setAnnotation:(PDFAnnotation*)a;
- (void)setUpload:(BOOL)b;
- (void)setAnnotationId:(unsigned)i;
- (void)setTitle:(NSString*)t;
- (BOOL)viewRemoteAnnotation;
- (void)setViewRemoteAnnotation:(BOOL)v;
- (BOOL)isEqualToAnnotation:(ArticleAnnotation*)annotation;
@end
