//
//  Library.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 04/09/18.
//  Copyright 2004-2005 Toshihiro Aoyama. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "Source.h"

@interface Library : Source {
}

- (void)importFiles:(NSArray*)filenames;

// Journal View
- (NSArray*)initialsOfJournal;
- (NSArray*)journals:(NSString*)initial;
- (NSArray*)yearsInJournal:(NSString*)journal;

- (void)articlesInJournalInitial:(NSString*)initial;
- (void)articlesInJournal:(NSString*)journal;
- (void)articlesInJournal:(NSString*)journal year:(NSString*)year;

- (unsigned)numberOfArticlesInJournalInitial:(NSString*)initial;
- (unsigned)numberOfArticlesInJournal:(NSString*)journal;
- (unsigned)numberOfArticlesInJournal:(NSString*)journal year:(NSString*)year;

// Author View
- (NSArray*)initialsOfAuthor;
- (NSArray*)authors:(NSString*)initial;
- (NSArray*)yearsInAuthor:(NSString*)author;

- (void)articlesInAuthorInitial:(NSString*)initial;
- (void)articlesInAuthor:(NSString*)author;
- (void)articlesInAuthor:(NSString*)author year:(NSString*)year;

- (unsigned)numberOfArticlesInAuthorInitial:(NSString*)initial;
- (unsigned)numberOfArticlesInAuthor:(NSString*)author;
- (unsigned)numberOfArticlesInAuthor:(NSString*)author year:(NSString*)year;

// Mesh View
- (NSArray*)initialsOfMeshHeading;
- (NSArray*)meshHeading:(NSString*)initial;
- (NSArray*)yearsInMeshHeading:(NSString*)meshHeading;

- (void)articlesInMeshHeadingInitial:(NSString*)initial;
- (void)articlesInMeshHeading:(NSString*)mesh;
- (void)articlesInMeshHeading:(NSString*)mesh year:(NSString*)year;

- (unsigned)numberOfArticlesInMeshHeadingInitial:(NSString*)initial;
- (unsigned)numberOfArticlesInMeshHeading:(NSString*)mesh;
- (unsigned)numberOfArticlesInMeshHeading:(NSString*)mesh year:(NSString*)year;

//
- (void)articlesList;
- (unsigned)numberOfarticles;

- (void)articlesOfList:(NSArray*)articlesList;

- (void)removeArticles:(NSArray*)articles;

@end
