//
//  SmartFavoriteView.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 05/02/24.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//
#import <Cocoa/Cocoa.h>
@interface SmartFavoriteView : NSView
{
	//NSAutoreleasePool* _arp;

	NSMutableArray* _menuArray;

	NSButton* _onlyNew;
	
	NSBox* _contentBox;
	NSView* _contentView;

	NSPopUpButton* _boolCondition;

	id _library;

	int cellHeight;
	int cellWidth;
}
- (NSArray*)searchConditions;
- (void)removeSmartSearchCell;
- (void)setLibrary:(id)lib;

- (void)setConditions:(NSArray*)conditions;

- (NSDictionary*)smartList;
- (void)setSmartList:(NSDictionary*)list;

@end

@interface SmartFavoriteCell : NSView
{
	NSAutoreleasePool* _arp;

	NSPopUpButton* _field;
	NSPopUpButton* _condition;
	NSComboBox* _keyword1;
	NSComboBox* _keyword2;

	NSMutableArray* _keywordArray1;

	NSString* oldTitleOfSelectedItem;
	NSMenu* selectedMenu;
	SmartFavoriteCell* selectedCell;
		
	id _library;
	
	NSButton* _add;
	NSButton* _sub;
	
	SmartFavoriteView* _SmartFavoriteView;
}

- (void)setLibrary:(id)lib;
- (void)setAddAction:(id)target selector:(SEL)selector;
- (void)setSubAction:(id)target selector:(SEL)selector;
- (void)setEnableSubButton:(BOOL)flag;

- (void)setCondition:(NSArray*)itemTitles;
- (void)setKeyword:(int)n;
- (NSDictionary*)searchCondition;
- (void)setSmartSearchCondition:(NSDictionary*)sc;

- (void)resetConditionWithField:(NSString*)field;

@end

